Subject: bug#46958: 28.0.50; invalid-function error for macros that have function bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Mar 2021 13:55:01 +0100

Robert Irelan <[email-masked]> writes:

> Lately I have been getting errors where occasionally `invalid-function`
> errors will be raised when calling some macros, even when those macros
> have function bindings (checked with `fboundp`). Here is an example of a
> stack trace I got when using the `org-fc` package:
>
> ```
> Debugger entered--Lisp error: (invalid-function
> org-fc-with-point-at-back-heading)
>   signal(invalid-function (org-fc-with-point-at-back-heading))

I'm not quite sure I understand this bug report.  First of all,
`org-fc-with-point-at-back-heading' doesn't seem to exist in the Emacs
tree, so is this from an external package?

The other issue is that I think there's a misunderstanding here: You can
never funcall a macro.

(macrop 'when)
=> t
(fboundp 'when)
=> t
(funcall 'when)
=> Debugger entered--Lisp error: (invalid-function when)
    when()

Macros are foundp, but that doesn't mean you can funcall them.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no